Subject: Re: Bug#6391: emacs: Wrong face with here-docs in sh-mode

From: Dale Mellor <[email-masked]>
Date: Sat, 21 Mar 2020 18:07:19 +0000

Subject: Re: Bug#6391: emacs: Wrong face with here-docs in sh-mode

This bug is still present (since 2010!) in emacs-26.3.

Note that many of the previous comments are off the mark; it doesn't
matter what characters make up the end marker, it is simply the
presence of '-' at the start of the opening marker which triggers the 
problem.

It would be really nice if someone would increase the severity of this
bug.  The feature described may not be used very often, but when it is
used the bug is a bit of a nightmare, and means that syntax
highlighting of a shell script has to be turned off completely.